Upgrade zu MySQL 5 / Probleme mit BDB-Support

MySQL, PostgreSQL, SQLite
jeti-power
Posts: 23
Joined: 2003-04-06 22:02

Upgrade zu MySQL 5 / Probleme mit BDB-Support

Post by jeti-power » 2006-01-07 14:55

Servus,

ich wollte auf einer SuSE 9.0 Kiste die MySQL 4.1-Installation auf MySQL 5.0.18 updaten (via Generic Linux RPM auf mysql.com)

Es lief auch soweit alles gut, bis auf folgende Meldung:

060107 14:36:35 [ERROR] bdb: unable to initialize mutex: Function not implemented
060107 14:36:35 [ERROR] bdb: process-private: unable to initialize environment lock: Function not implemented

Hat jemand eine Idee, wie ich das Problem umgehen könnte? Leider fand ich via Google nur als Workaround das deaktivieren der BDB-Unterstützung und das kann es ja irgendwie nicht sein :]

Interessant ist eventuell noch, dass (und ich müsste mich schwer täuschen wenn es nicht so gewesen wäre) BDB4-Support vor dem Update problemlos lief.

Gruss,
jeti-power

User avatar
Joe User
Project Manager
Project Manager
Posts: 11615
Joined: 2003-02-27 01:00
Location: Hamburg

Re: Upgrade zu MySQL 5 / Probleme mit BDB-Support

Post by Joe User » 2006-01-07 16:28

IIRC ist die BDB-Engine noch nicht stabil genug, um in die Standard-Pakete aufgenommen zu werden. Wenn Du auf diese Engine angewiesen bist, musst Du zusätzlich das Max-Paket installieren...
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

jeti-power
Posts: 23
Joined: 2003-04-06 22:02

Re: Upgrade zu MySQL 5 / Probleme mit BDB-Support

Post by jeti-power » 2006-01-07 16:51

Joe User wrote:IIRC ist die BDB-Engine noch nicht stabil genug, um in die Standard-Pakete aufgenommen zu werden. Wenn Du auf diese Engine angewiesen bist, musst Du zusätzlich das Max-Paket installieren...
Hi,

okay, das hatte ich glaub vergessen zu erwähnen:

# rpm -qa |grep MySQL
MySQL-server-5.0.18-0.glibc23
MySQL-shared-5.0.18-0.glibc23
MySQL-Max-5.0.18-0.glibc23
MySQL-devel-5.0.18-0.glibc23
MySQL-bench-5.0.18-0.glibc23
MySQL-client-5.0.18-0.glibc23

Die Frage ist, wo man bei der Suche ansetzen könnte. Es ist jetzt nicht wirklich dramatisch, da - wie du es schon korrekt gesagt hast - noch nicht als stabil deklariert wurde. Aber irgendwie würde es mich doch interessieren, da das Problem nur auf meiner "alten" SuSE 9.0 Kiste auftritt und alle "jüngeren" Server (z.T. mit Debian, Fedora Core 3 usw.) keine Probleme verzeichnen.

Gruss,
jeti-power

jeti-power
Posts: 23
Joined: 2003-04-06 22:02

Re: Upgrade zu MySQL 5 / Probleme mit BDB-Support

Post by jeti-power » 2006-01-07 20:09

Hi nochmal,

ich hab mir mal die Zeit genommen und hab MySQL vom Source-RPM neu bauen lassen einfach um zu sehen, ob es beim kompiliervorgang zu irgendwelchen Fehlern kommt die evntl. hätten helfen können. Es kam, was recht überraschend war, nicht nur zu keinem Fehler sondern der BerkleyDB-Support funktioniert mit den selbstgebauten RPMs wunderbar. Ich nehm daher einfach einmal an, dass es zu irgend einem Konflikt mit den (B)DB4-Libs kam.

Gruss,
jeti-power